Package org.stianloader.micromixin.transform.internal.util.smap

## Class SMAPRoot

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.smap.SMAPRoot

-     public class SMAPRoot
      extends java.lang.Object

  The root of the SMAP attribute

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `MIXIN_STRATUM` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMAPRoot​(java.lang.String generatedFileName, java.lang.String defaultStratum)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendStratum​(java.lang.String stratum, FileSection fileSection, LineSection lineSection, java.lang.String vendorId)` |
    `void` | `appendStratum​(StratumSection stratumSection, FileSection fileSection, LineSection lineSection, VendorSection vendorSection)` |
    `SMAPRoot` | `applyTo​(org.objectweb.asm.tree.ClassNode node, java.lang.StringBuilder builder)` | Deprecated.
    `SMAPRoot` | `applyTo​(org.objectweb.asm.tree.ClassNode node, java.lang.StringBuilder builder, MixinLoggingFacade logger)` |
    `LineSection` | `getLineSection​(java.lang.String stratum)` |
    `static SMAPRoot` | `parseSMAP​(java.lang.String contents)` |
    `java.lang.StringBuilder` | `pushContents​(java.lang.StringBuilder sharedBuilder)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MIXIN_STRATUM

          @NotNull
          public static final java.lang.String MIXIN_STRATUM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SMAPRoot

          public SMAPRoot​(@NotNull
                          java.lang.String generatedFileName,
                          @NotNull
                          java.lang.String defaultStratum)

  - ### Method Detail

    - #### parseSMAP

          @NotNull
          @Contract(pure=true,
                    value="!null -> new; null -> fail")
          public static SMAPRoot parseSMAP​(@NotNull
                                           java.lang.String contents)

    - #### appendStratum

          public void appendStratum​(@NotNull
                                    StratumSection stratumSection,
                                    @NotNull
                                    FileSection fileSection,
                                    @NotNull
                                    LineSection lineSection,
                                    @Nullable
                                    VendorSection vendorSection)

    - #### appendStratum

          public void appendStratum​(@NotNull
                                    java.lang.String stratum,
                                    @NotNull
                                    FileSection fileSection,
                                    @NotNull
                                    LineSection lineSection,
                                    @Nullable
                                    java.lang.String vendorId)

    - #### applyTo

          @NotNull
          @Contract(mutates="param1, param2",
                    pure=false,
                    value="!null, !null -> this; null, _ -> fail; _, null -> fail")
          @Deprecated
          @ScheduledForRemoval
          public SMAPRoot applyTo​(@NotNull
                                  org.objectweb.asm.tree.ClassNode node,
                                  @NotNull
                                  java.lang.StringBuilder builder)

      Deprecated.

    - #### applyTo

          @NotNull
          @Contract(mutates="param1, param2",
                    pure=false,
                    value="!null, !null, !null -> this; null, _, _ -> fail; _, null, _ -> fail; _, _, null -> fail")
          public SMAPRoot applyTo​(@NotNull
                                  org.objectweb.asm.tree.ClassNode node,
                                  @NotNull
                                  java.lang.StringBuilder builder,
                                  @NotNull
                                  MixinLoggingFacade logger)

    - #### getLineSection

          @Nullable
          @Contract(pure=true)
          public LineSection getLineSection​(@NotNull
                                            java.lang.String stratum)

    - #### pushContents

          @NotNull
          @Contract(mutates="param1",
                    pure=false,
                    value="!null -> param1; null -> fail")
          public java.lang.StringBuilder pushContents​(@NotNull
                                                      java.lang.StringBuilder sharedBuilder)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`